Log4jConfig (Griffon 0.9.5-rc2)
Date: 2012-03-09

Overview | Package | Class | Deprecated | Index | Help
| Griffon 0.9.5-rc2
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.griffon.runtime.logging
[Groovy] Class Log4jConfig

    java.lang.Object
      org.codehaus.griffon.runtime.logging.Log4jConfig

    class Log4jConfig
    extends Object

Encapsulates the configuration of Log4j.

Authors:
  Graeme Rocher (Grails 1.1)

Since:
  0.9.2

Field Summary
`private def` | `appenders`

Property Summary
`static def` | `APPENDERS`
`static def` | `DEFAULT_PATTERN_LAYOUT`
`static def` | `LAYOUTS`

Constructor Summary
`Log4jConfig()`

Method Summary
`def` | `all(Map appenderAndPackages)`
`def` | `all(Object[] packages)`
`def` | `appender(Map name, org.apache.log4j.Appender instance)`
`def` | `appender(org.apache.log4j.Appender instance)`
`def` | `appenders(Closure callable)`
`def` | `configure(Closure callable = {})`
`private def` | `createConsoleAppender()`
`private def` | `createFullstackTraceAppender()`
`def` | `debug(Map appenderAndPackages)`
`def` | `debug(Object[] packages)`
`def` | `development(Closure callable)`
`def` | `eachLogger(def packages, Closure callable)`
`def` | `environments(Closure callable)`
`def` | `error(Map appenderAndPackages)`
`def` | `error(Object[] packages)`
`def` | `fatal(Map appenderAndPackages)`
`def` | `fatal(Object[] packages)`
`def` | `info(Map appenderAndPackages)`
`def` | `info(Object[] packages)`
`private def` | `invokeCallable(Closure callable)`
`private boolean` | `isCustomEnvironmentMethod(String name, def args)`
`def` | `methodMissing(String name, def args)`
`def` | `off(Map appenderAndPackages)`
`def` | `off(Object[] packages)`
`def` | `production(Closure callable)`
`def` | `removeAppender(String name)`
`org.apache.log4j.Logger` | `root(Closure c)`
`private def` | `setLogLevelForAppenderToPackageMap(def appenderAndPackages, org.apache.log4j.Level level)`
`def` | `test(Closure callable)`
`def` | `trace(Map appenderAndPackages)`
`def` | `trace(Object[] packages)`
`def` | `warn(Map appenderAndPackages)`
`def` | `warn(Object[] packages)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### appenders

    private def appenders

Property Detail

### APPENDERS

    static final def APPENDERS

### DEFAULT_PATTERN_LAYOUT

    static final def DEFAULT_PATTERN_LAYOUT

### LAYOUTS

    static final def LAYOUTS

Constructor Detail

### Log4jConfig

    Log4jConfig()

Method Detail

### all

    def all(Map appenderAndPackages)

### all

    def all(Object[] packages)

### appender

    def appender(Map name, org.apache.log4j.Appender instance)

### appender

    def appender(org.apache.log4j.Appender instance)

### appenders

    def appenders(Closure callable)

### configure

    def configure(Closure callable = {})

### createConsoleAppender

    private def createConsoleAppender()

### createFullstackTraceAppender

    private def createFullstackTraceAppender()

### debug

    def debug(Map appenderAndPackages)

### debug

    def debug(Object[] packages)

### development

    def development(Closure callable)

### eachLogger

    def eachLogger(def packages, Closure callable)

### environments

    def environments(Closure callable)

### error

    def error(Map appenderAndPackages)

### error

    def error(Object[] packages)

### fatal

    def fatal(Map appenderAndPackages)

### fatal

    def fatal(Object[] packages)

### info

    def info(Map appenderAndPackages)

### info

    def info(Object[] packages)

### invokeCallable

    private def invokeCallable(Closure callable)

### isCustomEnvironmentMethod

    private boolean isCustomEnvironmentMethod(String name, def args)

### methodMissing

    def methodMissing(String name, def args)

### off

    def off(Map appenderAndPackages)

### off

    def off(Object[] packages)

### production

    def production(Closure callable)

### removeAppender

    def removeAppender(String name)

### root

    org.apache.log4j.Logger root(Closure c)

### setLogLevelForAppenderToPackageMap

    private def setLogLevelForAppenderToPackageMap(def appenderAndPackages, org.apache.log4j.Level level)

### test

    def test(Closure callable)

### trace

    def trace(Map appenderAndPackages)

### trace

    def trace(Object[] packages)

### warn

    def warn(Map appenderAndPackages)

### warn

    def warn(Object[] packages)

Groovy Documentation